---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem02t003.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x28D0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x54A30, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56970, symBinAddr: 0xE260, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x56D60, symBinAddr: 0xE650, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x57D00, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x57D10, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x54550, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x54554, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x54558, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x546B0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x54768, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5476C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x54770, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x54774, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x54778, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x54780, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x54790, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x54798, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x547A0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x547A8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x547B0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x547B8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x54800, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94F7, offset: 0x94F7, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x548A0, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x9510, offset: 0x9510, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x54940, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x9529, offset: 0x9529, size: 0x8, addend: 0x0, symName: __ZL10loadEvents, symObjAddr: 0x54948, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x9542, offset: 0x9542, size: 0x8, addend: 0x0, symName: __ZL12unloadEvents, symObjAddr: 0x5494C, symBinAddr: 0xC30C, symSize: 0x0 }
  - { offsetInCU: 0x955B, offset: 0x955B, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x54950, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x9574, offset: 0x9574, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x54958, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0x95C6, offset: 0x95C6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1570, symSize: 0x80 }
  - { offsetInCU: 0x965B, offset: 0x965B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x14C0, symSize: 0xB0 }
  - { offsetInCU: 0x96B6, offset: 0x96B6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x13C0, symSize: 0x100 }
  - { offsetInCU: 0x9949, offset: 0x9949, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x15F0, symSize: 0xC0 }
  - { offsetInCU: 0x999B, offset: 0x999B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x16B0, symSize: 0x220 }
  - { offsetInCU: 0x9B80, offset: 0x9B80, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x18D0, symSize: 0xA0 }
  - { offsetInCU: 0x9C33, offset: 0x9C33, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1970, symSize: 0x110 }
  - { offsetInCU: 0x9D29, offset: 0x9D29, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1A80, symSize: 0x150 }
  - { offsetInCU: 0x9EA6, offset: 0x9EA6, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1BD0, symSize: 0x30 }
  - { offsetInCU: 0x9F87, offset: 0x9F87, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1C00, symSize: 0x150 }
  - { offsetInCU: 0xA17F, offset: 0xA17F, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1D50, symSize: 0x160 }
  - { offsetInCU: 0xA43F, offset: 0xA43F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1EB0, symSize: 0x4A0 }
  - { offsetInCU: 0xA6B2, offset: 0xA6B2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2350, symSize: 0x1B0 }
  - { offsetInCU: 0xA8CD, offset: 0xA8CD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2500, symSize: 0xA0 }
  - { offsetInCU: 0xA99C, offset: 0xA99C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x25A0, symSize: 0x20 }
  - { offsetInCU: 0xA9D3, offset: 0xA9D3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x25C0, symSize: 0x20 }
  - { offsetInCU: 0xAA0A, offset: 0xAA0A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x25E0, symSize: 0x20 }
  - { offsetInCU: 0xABBD, offset: 0xABBD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2600, symSize: 0x1A0 }
  - { offsetInCU: 0xAED9, offset: 0xAED9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x27A0, symSize: 0x130 }
  - { offsetInCU: 0xB089, offset: 0xB089, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2B40, symSize: 0x1B0 }
  - { offsetInCU: 0xB378, offset: 0xB378, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2CF0, symSize: 0x80 }
  - { offsetInCU: 0xB441, offset: 0xB441, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2D70, symSize: 0x6A0 }
  - { offsetInCU: 0xBFD6, offset: 0xBFD6, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB220, symBinAddr: 0x5860, symSize: 0xB0 }
  - { offsetInCU: 0xC04D, offset: 0xC04D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3410, symSize: 0x70 }
  - { offsetInCU: 0xC109, offset: 0xC109, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3480, symSize: 0xA0 }
  - { offsetInCU: 0xC234, offset: 0xC234, size: 0x8, addend: 0x0, symName: _nsk_jvmti_showPossessedCapabilities, symObjAddr: 0x57D0, symBinAddr: 0x3520, symSize: 0x740 }
  - { offsetInCU: 0xC605, offset: 0xC605, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3C60, symSize: 0x40 }
  - { offsetInCU: 0xC6FB, offset: 0xC6FB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3CA0, symSize: 0x2B0 }
  - { offsetInCU: 0xCAA1, offset: 0xCAA1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3F50, symSize: 0xC0 }
  - { offsetInCU: 0xCBE7, offset: 0xCBE7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4010, symSize: 0x10 }
  - { offsetInCU: 0xCCA9, offset: 0xCCA9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4020, symSize: 0x220 }
  - { offsetInCU: 0xCFA6, offset: 0xCFA6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4240, symSize: 0x10 }
  - { offsetInCU: 0xD003, offset: 0xD003, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4250, symSize: 0x5E0 }
  - { offsetInCU: 0xD7C8, offset: 0xD7C8, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0xADC0, symBinAddr: 0x5400, symSize: 0x330 }
  - { offsetInCU: 0xD914, offset: 0xD914, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA1F0, symBinAddr: 0x4830, symSize: 0x10 }
  - { offsetInCU: 0xD971, offset: 0xD971, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xA200, symBinAddr: 0x4840, symSize: 0x170 }
  - { offsetInCU: 0xDA63, offset: 0xDA63, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xA370, symBinAddr: 0x49B0, symSize: 0x20 }
  - { offsetInCU: 0xDAAF, offset: 0xDAAF, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0xA390, symBinAddr: 0x49D0, symSize: 0x120 }
  - { offsetInCU: 0xDC18, offset: 0xDC18, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xA4B0, symBinAddr: 0x4AF0, symSize: 0xD0 }
  - { offsetInCU: 0xDD37, offset: 0xDD37, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0xA580, symBinAddr: 0x4BC0, symSize: 0xE0 }
  - { offsetInCU: 0xDE18, offset: 0xDE18, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xA660, symBinAddr: 0x4CA0, symSize: 0x20 }
  - { offsetInCU: 0xDE9A, offset: 0xDE9A, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xA680, symBinAddr: 0x4CC0, symSize: 0x20 }
  - { offsetInCU: 0xDF06, offset: 0xDF06, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xA6A0, symBinAddr: 0x4CE0, symSize: 0x20 }
  - { offsetInCU: 0xDF67, offset: 0xDF67, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xA6C0, symBinAddr: 0x4D00, symSize: 0x20 }
  - { offsetInCU: 0xDFC8, offset: 0xDFC8, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xA6E0, symBinAddr: 0x4D20, symSize: 0x20 }
  - { offsetInCU: 0xE029, offset: 0xE029, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xA700, symBinAddr: 0x4D40, symSize: 0x20 }
  - { offsetInCU: 0xE0AB, offset: 0xE0AB, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xA720, symBinAddr: 0x4D60, symSize: 0x20 }
  - { offsetInCU: 0xE143, offset: 0xE143, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xA740, symBinAddr: 0x4D80, symSize: 0x20 }
  - { offsetInCU: 0xE199, offset: 0xE199, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xA760, symBinAddr: 0x4DA0, symSize: 0x20 }
  - { offsetInCU: 0xE205, offset: 0xE205, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xA780, symBinAddr: 0x4DC0, symSize: 0x20 }
  - { offsetInCU: 0xE271, offset: 0xE271, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xA7A0, symBinAddr: 0x4DE0, symSize: 0x20 }
  - { offsetInCU: 0xE2D2, offset: 0xE2D2, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xA7C0, symBinAddr: 0x4E00, symSize: 0x20 }
  - { offsetInCU: 0xE333, offset: 0xE333, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xA7E0, symBinAddr: 0x4E20, symSize: 0x20 }
  - { offsetInCU: 0xE389, offset: 0xE389, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xA800, symBinAddr: 0x4E40, symSize: 0x20 }
  - { offsetInCU: 0xE3DF, offset: 0xE3DF, size: 0x8, addend: 0x0, symName: _handlerMC1, symObjAddr: 0xA820, symBinAddr: 0x4E60, symSize: 0x240 }
  - { offsetInCU: 0xE71A, offset: 0xE71A, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xAA60, symBinAddr: 0x50A0, symSize: 0x20 }
  - { offsetInCU: 0xE7AF, offset: 0xE7AF, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xAA80, symBinAddr: 0x50C0, symSize: 0x40 }
  - { offsetInCU: 0xE813, offset: 0xE813, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xAAC0, symBinAddr: 0x5100, symSize: 0x20 }
  - { offsetInCU: 0xE84A, offset: 0xE84A, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xAAE0, symBinAddr: 0x5120, symSize: 0x20 }
  - { offsetInCU: 0xE881, offset: 0xE881, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xAB00, symBinAddr: 0x5140, symSize: 0x20 }
  - { offsetInCU: 0xE8C4, offset: 0xE8C4, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xAB20, symBinAddr: 0x5160, symSize: 0x20 }
  - { offsetInCU: 0xE937, offset: 0xE937, size: 0x8, addend: 0x0, symName: _handlerMC2, symObjAddr: 0xAB40, symBinAddr: 0x5180, symSize: 0x220 }
  - { offsetInCU: 0xEC72, offset: 0xEC72, size: 0x8, addend: 0x0, symName: _cbNewCompiledMethodLoad, symObjAddr: 0xAD60, symBinAddr: 0x53A0, symSize: 0x20 }
  - { offsetInCU: 0xED07, offset: 0xED07, size: 0x8, addend: 0x0, symName: _cbNewCompiledMethodUnload, symObjAddr: 0xAD80, symBinAddr: 0x53C0, symSize: 0x40 }
  - { offsetInCU: 0xED6B, offset: 0xED6B, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB0F0, symBinAddr: 0x5730, symSize: 0x130 }
  - { offsetInCU: 0xEEDC, offset: 0xEEDC, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB2D0, symBinAddr: 0x5910, symSize: 0x36A }
...
